Package com.sun.java.help.impl

# Class CustomKit

java.lang.Object
javax.swing.text.EditorKit
javax.swing.text.DefaultEditorKit
javax.swing.text.StyledEditorKit
javax.swing.text.html.HTMLEditorKit
com.sun.java.help.impl.CustomKit

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Accessible`

public class CustomKit extends HTMLEditorKit
Subclass of HTMLEditorKit from Swing to adds better functionality for handing

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CustomKit.MouseHandler`
Class to watch the associated component and change the cursor when in a hyperlink

## Nested classes/interfaces inherited from class javax.swing.text.html.HTMLEditorKit

`HTMLEditorKit.HTMLFactory, HTMLEditorKit.HTMLTextAction, HTMLEditorKit.InsertHTMLTextAction, HTMLEditorKit.LinkController, HTMLEditorKit.Parser, HTMLEditorKit.ParserCallback`

## Nested classes/interfaces inherited from class javax.swing.text.StyledEditorKit

`StyledEditorKit.AlignmentAction, StyledEditorKit.BoldAction, StyledEditorKit.FontFamilyAction, StyledEditorKit.FontSizeAction, StyledEditorKit.ForegroundAction, StyledEditorKit.ItalicAction, StyledEditorKit.StyledTextAction, StyledEditorKit.UnderlineAction`

## Nested classes/interfaces inherited from class javax.swing.text.DefaultEditorKit

`DefaultEditorKit.BeepAction, DefaultEditorKit.CopyAction, DefaultEditorKit.CutAction, DefaultEditorKit.DefaultKeyTypedAction, DefaultEditorKit.InsertBreakAction, DefaultEditorKit.InsertContentAction, DefaultEditorKit.InsertTabAction, DefaultEditorKit.PasteAction`

## Field Summary

### Fields inherited from class javax.swing.text.html.HTMLEditorKit

`BOLD_ACTION, COLOR_ACTION, DEFAULT_CSS, FONT_CHANGE_BIGGER, FONT_CHANGE_SMALLER, IMG_ALIGN_BOTTOM, IMG_ALIGN_MIDDLE, IMG_ALIGN_TOP, IMG_BORDER, ITALIC_ACTION, LOGICAL_STYLE_ACTION, PARA_INDENT_LEFT, PARA_INDENT_RIGHT`

### Fields inherited from class javax.swing.text.DefaultEditorKit

`backwardAction, beepAction, beginAction, beginLineAction, beginLineUpAction, beginParagraphAction, beginWordAction, copyAction, cutAction, defaultKeyTypedAction, deleteNextCharAction, deleteNextWordAction, deletePrevCharAction, deletePrevWordAction, downAction, endAction, endLineAction, endLineDownAction, EndOfLineStringProperty, endParagraphAction, endWordAction, forwardAction, insertBreakAction, insertContentAction, insertTabAction, nextWordAction, pageDownAction, pageUpAction, pasteAction, previousWordAction, readOnlyAction, selectAllAction, selectionBackwardAction, selectionBeginAction, selectionBeginLineAction, selectionBeginParagraphAction, selectionBeginWordAction, selectionDownAction, selectionEndAction, selectionEndLineAction, selectionEndParagraphAction, selectionEndWordAction, selectionForwardAction, selectionNextWordAction, selectionPreviousWordAction, selectionUpAction, selectLineAction, selectParagraphAction, selectWordAction, upAction, writableAction`

## Constructor Summary

Constructors
Constructor
Description
`CustomKit()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Clone the editorkit
`Document`
`createDefaultDocument()`
`void`
`deinstall(JEditorPane c)`
Called when the kit is being removed from the JEditorPane.
`ViewFactory`
`getViewFactory()`
Fetch a factory that is suitable for producing views of any models that are produced by this kit.
`void`
`install(JEditorPane c)`
Called when the kit is being installed into the a JEditorPane.

### Methods inherited from class javax.swing.text.html.HTMLEditorKit

`createInputAttributes, getAccessibleContext, getActions, getContentType, getDefaultCursor, getInputAttributes, getLinkCursor, getParser, getStyleSheet, insertHTML, isAutoFormSubmission, read, setAutoFormSubmission, setDefaultCursor, setLinkCursor, setStyleSheet, write`

### Methods inherited from class javax.swing.text.StyledEditorKit

`getCharacterAttributeRun`

### Methods inherited from class javax.swing.text.DefaultEditorKit

`createCaret, read, write`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomKit

public CustomKit()

## Method Details

### clone

public Object clone()
Clone the editorkit

Overrides:
  `clone` in class `HTMLEditorKit`

### install

public void install(JEditorPane c)
Called when the kit is being installed into the a JEditorPane.

Overrides:
  `install` in class `HTMLEditorKit`
Parameters:
  `c` - the JEditorPane

### deinstall

public void deinstall(JEditorPane c)
Called when the kit is being removed from the JEditorPane. This is used to unregister any listeners that were attached.

Overrides:
  `deinstall` in class `HTMLEditorKit`
Parameters:
  `c` - the JEditorPane

### createDefaultDocument

public Document createDefaultDocument()

Overrides:
  `createDefaultDocument` in class `HTMLEditorKit`

### getViewFactory

public ViewFactory getViewFactory()
Fetch a factory that is suitable for producing views of any models that are produced by this kit.

Overrides:
  `getViewFactory` in class `HTMLEditorKit`
Returns:
  the factory